class_name: WebGuy
modules:
  enabled: [WebDriver, WebHelper]
  config:
    WebDriver:
      url: http://localhost:8000
      browser: chrome
      window_size: 1200x768
      restart: true # Use a new browser window for each test (to isolate test cases from each other)
env:
  fast:
    modules:
      config:
        WebDriver:
          restart: false
  phantom:
    modules:
      config:
        WebDriver:
          browser: phantomjs
          port: 4455
  chrome:
    modules:
      config:
        WebDriver:
          browser: chrome
  headless:
    modules:
      config:
        WebDriver:
          browser: chrome
          window_size: false
          restart: false
          capabilities:
            "goog:chromeOptions":
              args: ["--headless", "--disable-gpu", "--disable-extensions"]
              binary: "/usr/bin/google-chrome"
  chromedriver:
    modules:
      config:
        WebDriver:
          browser: chrome
          port: 9515 # ChromeDriver port
          window_size: false
          capabilities:
            "goog:chromeOptions":
              args: ["--headless", "--disable-gpu"]
              binary: "/usr/bin/google-chrome"
